
public class HumanPlayer extends LocalPlayer {
	/**
	 * shoots a shot onto the provided point on the enemy board
	 * if it is not the players turn, this method does nothing.
	 * @param point the location to be shot
	 * @author Luca Conte
	 */
	@Override
	public void shoot(Point point) {
		if (!this.myTurn) return;
		this.myTurn = false;
		enemy.receiveShoot(point);
	}
}
